Package org.apache.commons.collections4.functors

# Class MapTransformer<T,R>

java.lang.Object
org.apache.commons.collections4.functors.MapTransformer<T,R>

Type Parameters:
  `T` - The type of the input to the function.
  `R` - The type of the result of the function.

All Implemented Interfaces:
  `Serializable`, `Function<T,R>`, `Transformer<T,R>`

public final class MapTransformer<T,R> extends Object implements Transformer<T,R>, Serializable
Transformer implementation that returns the value held in a specified map using the input parameter as a key.

Since:
  3.0
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<? super T,? extends R>`
  `getMap()`
  Gets the map to lookup in.
  `static <I, O> Transformer<I,O>`
  `mapTransformer(Map<? super I,? extends O> map)`
  Creates the transformer.
  `R`
  `transform(T input)`
  Transforms the input to result by looking it up in a `Map`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Function

  `andThen, compose`

  ### Methods inherited from interface org.apache.commons.collections4.Transformer

  `apply`

- ## Method Details

  - ### mapTransformer

    public static <I, O> Transformer<I,O> mapTransformer(Map<? super I,? extends O> map)
    Creates the transformer.

    If the map is null, a transformer that always returns null is returned.

    Type Parameters:
      `I` - the input type
      `O` - the output type
    Parameters:
      `map` - The map, not cloned
    Returns:
      The transformer

  - ### getMap

    public Map<? super T,? extends R> getMap()
    Gets the map to lookup in.
    Returns:
      The map
    Since:
      3.1

  - ### transform

    public R transform(T input)
    Transforms the input to result by looking it up in a `Map`.
    Specified by:
      `transform` in interface `Transformer<T,R>`
    Parameters:
      `input` - The input object to transform
    Returns:
      The transformed result